Kegiatan/urls.py
# re_path is for path that using regex (if used)
from django.urls import path, re_path
from . import views

app_name = 'Kegiatan'

urlpatterns = [
    path('', views.kegiatan, name='kegiatan'),
    #path('add/', views.add_kegiatan, name='add-kegiatan'),
]

Project1/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('app1.urls', namespace='app1')),
    path('Kegiatan/', include('Kegiatan.urls', namespace='Kegiatan')),
]

app1/urls.py
from django.contrib import admin
from django.urls import include, path

# schedule_view, history_view
from .views import index, schedule_detail_view, schedule_create_view

app_name = 'app1'

urlpatterns = [
    path('', index, name='index'),
    path('arrangement/', schedule_create_view, name='arrange'),
    #path('schedule/', schedule_view, name='check'),
    #path('history/', history_view, name='history'),
    path('detail/<int:schedule_id>', schedule_detail_view, name='detail'),
]

Kegiatan/models.py
from django.db import models

# Create your models here.


class Kegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length=50, blank=False)
    tempat = models.CharField(max_length=20)

    def __str__(self):
        return self.nama_kegiatan


class Peserta(models.Model):
    kegiatan = models.ForeignKey(Kegiatan, on_delete=models.CASCADE)
    nama_peserta = models.CharField(max_length=25, blank=False)

    def __str__(self):
        return self.nama_peserta

app1/models.py
from django.db import models

# Create your models here.


class Schedule(models.Model):
    mata_kuliah = models.CharField(max_length=40, blank=False)
    dosen_pengajar = models.CharField(max_length=40, blank=False)
    jumlah_sks = models.PositiveSmallIntegerField(blank=False)
    semester_tahun = models.CharField(max_length=15, blank=False)
    deskripsi = models.TextField(blank=True)

Kegiatan/forms.py
from django import forms
from .models import Kegiatan, Peserta


class PesertaForm(forms.ModelForm):
    class Meta:
        model = Peserta
        fields = ['nama_peserta']


class KegiatanForm(forms.ModelForm):
    class Meta:
        model = Kegiatan
        fields = '__all__'

app1/forms.py
from django import forms

from .models import Schedule


class ScheduleForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = [
            'mata_kuliah',
            'dosen_pengajar',
            'jumlah_sks',
            'semester_tahun',
            'deskripsi'
        ]

Kegiatan/views.py
from django.shortcuts import render, redirect
from .models import Kegiatan, Peserta
from .forms import KegiatanForm, PesertaForm

# Create your views here.


def kegiatan(request):
    kegiatans = Kegiatan.objects.all()
    pesertas = Peserta.objects.all()
    context = {
        'kegiatans': kegiatans,
        'pesertas': pesertas,
    }
    return render(request, 'Kegiatan/kegiatan.html', context)

app1/views.py
from django.shortcuts import render
"""import datetime
"""
from .forms import ScheduleForm

from .models import Schedule
# Create your views here.


def index(request):
    schedules = Schedule.objects.all()
    context = {
        'nama': 'Nurul',
        'schedules': schedules
    }
    return render(request, 'app1/index.html', context)


def schedule_create_view(request):
    form = ScheduleForm(request.POST or None)
    if form.is_valid():
        form.save()
        # to re-render form after submission (clears the form, so we know it's already submitted)
        form = ScheduleForm()

    context = {
        'form': form,
    }
    return render(request, 'app1/schedule_arrangement.html', context)


def schedule_detail_view(request, schedule_id):
    schedule = Schedule.objects.get(id=schedule_id)
    context = {
        'schedule': schedule,
    }
    return render(request, 'app1/schedule_detail.html', context)

Kegiatan/templates/Kegiatan/kegiatan.html
{% extends 'app1/base.html' %}

{% block style %}
{% endblock %}

{% block bodyblock %}
<div class="card-deck">
    {% for kegiatan in kegiatans %}
    <div class="col-lg-4 col-md-6">
        <div class="card-header">
            <h5>{{ kegiatan.nama_kegiatan }}</h5>
        </div>
        <div class="card">
            <div class="card-body">
                <p class="activity-place">Tempat: {{ kegiatan.tempat }}</p>
                <p class="card-text">Peserta:</p>
                {% for peserta in pesertas %}
                    {% if peserta.kegiatan == kegiatan %}
                    <ul>
                        <li>{{ peserta.nama_peserta }}</li>
                    </ul>
                    {% endif %}
                {% endfor %}
                <a class="btn btn-activity" href="{% url 'kegiatan:add_peserta' kegiatan.id %}">I want to
                    join</a>
            </div>
        </div>
    </div>
    {% endfor %}
{% endblock %}

app1/templates/app1/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DailySchedule</title>
    <link href="https://fonts.googleapis.com/css?family=Caladea|Kaushan+Script|Oswald&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'style.css' %}">
    {% block style %}
    {% endblock %}
</head>

<body>
    {% include 'app1/navbar.html' %}
    {% block bodyblock %}

    {% endblock %}
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
</body>

</html>

app1/templates/app1/history.html
{% extends 'app1/base.html' %}

{% block bodyblock %}

<h3> {{ Mata Kuliah }}</h3>
<p> {{ Semester }}</p>
<br>
<br>
<p> Dosen Pengajar : {{ Dosen Pengajar }} <br>
    Jumlah sks : {{ SKS }} <br>
    Deskripsi : <br> {{ Deskripsi }} </p>
{% endblock %}

app1/templates/app1/index.html
{% extends 'app1/base.html' %}
{% block style %}
<style type="text/css">
    .jumbotron {
        background-image: url('https://images.unsplash.com/photo-1502307444187-44d62a6a80af?ixlib=rb-0.3.5&q=50&fm=jpg&crop=entropy&cs=tinysrgb&w=720&fit=max&s=583de05d54a0254f5b6b0c9da6cfa317');
        height: 560px;
    }

    .container-header {
        color: azure;
        margin: 5rem;
    }
</style>
{% endblock %}

{% block bodyblock %}
<div class="jumbotron jumbotron-fluid">
    <div class="container-fluid">
        <div class="container-header">
            <h1 class="display-4">Hello, {{nama}}!</h1>
            <h3 class="lead">How's your day?</h3>
            <hr class="my-4">
            <p>What do you want to do?</p>
            <a class="btn btn-secondary btn-md" href="/arrangement" role="button">Arrange New Schedule</a>
            <a class="btn btn-secondary btn-md" href="#jump" role="button">Check Tomorrow's Schedule</a>
        </div>
    </div>
</div>
<div id="jump" class="tomorrowschedule">
    <div class="card text-center mb-4">
        <div class="card-header">
            Featured
        </div>
        <div class="card-body">
            <h5 class="card-title">Here are your schedules for tomorrow</h5>
            <p class="card-text">With supporting text below as a natural lead-in to additional content.</p>
            <a href="#" class="btn btn-primary">Go somewhere</a>
        </div>
        <div class="card-footer text-muted">
        </div>
    </div>
    <div class="row row-cols-1 row-cols-lg-3">
        {% for schedule in schedules %}
        {% if schedules.count != 0 %}
        <div class="col mb-4 ml-4">
            <div class="card-header text-center">
                <h5 class="card-title">{{ schedule.mata_kuliah }}</h5>
            </div>
            <div class="card-body">

                <p class="card-text">
                    Dosen : {{ schedule.dosen_pengajar }} <br>
                    Jumlah sks : {{ schedule.jumlah_sks }} <br>
                </p>
                <center><a class="btn btn-primary btn-lg" href="{% url 'app1:detail' schedule.id %}"
                        role="button">Detail</a></center>
            </div>
        </div>
        {% else %}
        <p class="card-text">You have no schedule for tomorrow</p>
        {% endif %}
        {% endfor %}
    </div>
</div>
{% endblock %}

app1/templates/app1/navbar.html
<nav class="navbar navbar-expand-lg navbar-dark navbar-custom">
    <a class="navbar-brand" href="/">DailySchedule</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link" href="{% url 'app1:index' %}">Home<span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'app1:arrange' %}">Arrange Schedule</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href=#>Check Schedule</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="{% url 'Kegiatan:kegiatan' %}">Join Me!</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href=#>History</a>
            </li>
        </ul>
    </div>
</nav>

app1/templates/app1/schedule_arrangement.html
{% extends 'app1/base.html' %}

{% block bodyblock %}
{% load crispy_forms_tags %}
<div class="schedule-form">
    <form method='POST'>
        {% csrf_token %}
        {{ form|crispy }}
        <input type='submit' value'Save' />
    </form>
</div>
{% endblock %}

app1/templates/app1/schedule_detail.html
{% extends 'app1/base.html' %}

{% block bodyblock %}

<h3> {{ schedule.mata_kuliah }}</h3>
<p> {{ schedule.tahun_semester }}</p>
<br>
<br>
<p> Dosen Pengajar : {{ schedule.dosen_pengajar }} <br>
    Jumlah sks : {{ schedule.jumlah_sks }} <br>
    Deskripsi : <br> {{ schedule.deskripsi }} </p>
{% endblock %}